%global commit f7b8c5b90725441b82b051cf0e4d86c2d1e9841c
%global commitdate 20240812
%global shortcommit %{sub %{commit} 1 7}

Name:           miracle-wm-config
Version:        0~git.2.%{commitdate}.%{shortcommit}
Release:        1%{?dist}
Summary:        Miracle Window Manager system configuration

License:        GPL-3.0-or-later
URL:            https://pagure.io/fedora-miracle/miracle-wm-config
Source0:        %{url}/archive/%{commit}/%{name}-%{commit}.tar.gz

Requires:       desktop-backgrounds-compat
Requires:       miracle-wm
Requires:       swaybg
Requires:       swaylock
Recommends:     nwg-bar
Recommends:     nwg-dock
Recommends:     nwg-drawer
Recommends:     nwg-panel

BuildArch:      noarch

%description
%{summary}.

%files
%license LICENSE
%doc README.md
%dir %{_datadir}/miracle-wm
%{_datadir}/miracle-wm/config/

%dnl ----------------------------------------------------------------

%package -n     initial-setup-gui-wayland-miraclewm
Summary:        Miracle-WM Wayland Initial Setup GUI configuration
Provides:       firstboot(gui-backend)
Conflicts:      firstboot(gui-backend)

Requires:       xorg-x11-server-Xwayland
Requires:       initial-setup-gui >= 0.3.99
Requires:       miracle-wm
Supplements:    (initial-setup-gui and miracle-wm)

%description -n initial-setup-gui-wayland-miraclewm
This package contains configuration and dependencies for
Anaconda Initial Setup to use Miracle-WM for the display server.

%files -n initial-setup-gui-wayland-miraclewm
%license LICENSE
%{_libexecdir}/initial-setup/run-gui-backend

%dnl ----------------------------------------------------------------

%package -n     sddm-wayland-miraclewm
Summary:        Miracle-WM Wayland SDDM greeter configuration

Provides:       sddm-greeter-displayserver
Conflicts:      sddm-greeter-displayserver

Requires:       desktop-backgrounds-compat
Requires:       sddm >= 0.20.0
Requires:       layer-shell-qt
Requires:       miracle-wm

%description -n sddm-wayland-miraclewm
This package contains configuration and dependencies for SDDM
to use Miracle-WM for the greeter display server.

%files -n sddm-wayland-miraclewm
%license LICENSE
%{_prefix}/lib/sddm/sddm.conf.d/miracle-wm.conf


%dnl ----------------------------------------------------------------




%prep
%autosetup -n %{name}-%{commit}


%build
# Nothing to do

%install
mkdir -p %{buildroot}%{_datadir}/miracle-wm/config
install -pm 0644 miraclewm-config/miracle-wm.yaml %{buildroot}%{_datadir}/miracle-wm/config/default.yaml

mkdir -p %{buildroot}%{_libexecdir}/initial-setup
install -pm 0755 initial-setup/run-gui-backend %{buildroot}%{_libexecdir}/initial-setup/

mkdir -p %{buildroot}%{_prefix}/lib/sddm/sddm.conf.d
install -pm 0644 sddm/miracle-wm.conf %{buildroot}%{_prefix}/lib/sddm/sddm.conf.d/


%changelog
* Mon Aug 12 2024 Neal Gompa <ngompa@fedoraproject.org> - 0~git.2.20240812.f7b8c5b-1
- Bump to new snapshot

* Mon Aug 12 2024 Neal Gompa <ngompa@fedoraproject.org> - 0~git.1.20240812.486b4cb-1
- Add Anaconda Initial Setup and SDDM support

* Mon Aug 12 2024 Neal Gompa <ngompa@fedoraproject.org> - 0~git.0.20240812.16888af-1
- Initial package
